package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 用户续费申请表
 * </p>
 *
 * @author gaodm
 * @since 2018-10-12
 */
@TableName("diag_user_renewals")
public class UserRenewals implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 续费id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除 N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间,默认(1970-01-01 12:00:00)
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 产品id
     */
    private Long productId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 续费状态（1.已续费0.未续费）
     */
    private Integer renewalsStatus;

    /**
     * 申请时间
     */
    private Date applyTime;

    public String getRenewalsNo() {
        return renewalsNo;
    }

    public void setRenewalsNo(String renewalsNo) {
        this.renewalsNo = renewalsNo;
    }

    /**
     * 续费单号
     */
    private String renewalsNo;

    /**
     * 是否取消续费
     */
    private Integer cancelRenewals;

    public Integer getCancelRenewals() {
        return cancelRenewals;
    }

    public void setCancelRenewals(Integer cancelRenewals) {
        this.cancelRenewals = cancelRenewals;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }
    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }
    public Long getProductId() {
        return productId;
    }

    public void setProductId(Long productId) {
        this.productId = productId;
    }
    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }
    public Integer getRenewalsStatus() {
        return renewalsStatus;
    }

    public void setRenewalsStatus(Integer renewalsStatus) {
        this.renewalsStatus = renewalsStatus;
    }
    public Date getApplyTime() {
        return applyTime;
    }

    public void setApplyTime(Date applyTime) {
        this.applyTime = applyTime;
    }

    @Override
    public String toString() {
        return "UserRenewals{" +
        "id=" + id +
        ", isDeleted=" + isDeleted +
        ", gmtCreate=" + gmtCreate +
        ", gmtModified=" + gmtModified +
        ", creator=" + creator +
        ", modifier=" + modifier +
        ", productId=" + productId +
        ", userId=" + userId +
        ", renewalsStatus=" + renewalsStatus +
        ", applyTime=" + applyTime +
        "}";
    }
}
